finfo_open
mime_content_type
Fonctions Fileinfo
PHP Manual

# finfo_set_flags

# finfo::set_flags

(PHP >= 5.3.0, PECL fileinfo >= 0.1.0)

finfo_set_flags -- finfo::set_flags — Fixe des options de configuration libmagic

### Description

Style procédural

bool finfo_set_flags ( resource `$finfo` , int `$options` )

Style orienté objet

public bool finfo::set_flags ( int `$options` )

Cette fonction fixe diverses options de Fileinfo. Les options peuvent être aussi fixées directement dans finfo_open() ou par d'autres fonctions Fileinfo.

### Liste de paramètres

`finfo`

  Ressource Fileinfo retournée par finfo_open().

`options`

  Une ou une union de plusieurs constantes Fileinfo.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

finfo_open
mime_content_type
Fonctions Fileinfo
PHP Manual